{ lib, ... }:
{
  custom.home_wg_suffix = "3";
  system.autoUpgrade.allowReboot = lib.mkForce false;

  imports = [
    ../../shared/base.nix

    ../../personal/desktop.nix
    ../../personal/development.nix

    ../../personal/hardware/hibernate.nix
    ../../personal/hardware/intel-laptop.nix
    ../../personal/hardware/onlykey.nix

    ../../personal/networking/home-wg.nix
    ../../personal/networking/printing.nix

    ../../personal/programs/bitwarden.nix
    ../../personal/programs/communication.nix
    ../../personal/programs/firefox.nix
    ../../personal/programs/i3.nix
    ../../personal/programs/moonlight.nix
    ../../personal/programs/redshift.nix
    ../../personal/programs/study.nix
    ../../personal/programs/usb-automount.nix

    ../../servers/syncthing.nix
  ];
}
