{ config, ... }:
{
  networking = {
    jool = {
      enable = true;
      siit.default = {
        global.pool6 = "2a01:4f9:c013:bd27:46::/96";

        # Explicit address mappings
        eamt = [
          {
            # Cache/CI
            "ipv6 prefix" = "${config.custom.gua_pref}d2:be24:11ff:fe7f:f84c/128";
            "ipv4 prefix" = "95.217.30.123/32";
          }
          {
            # Forgejo
            "ipv6 prefix" = "${config.custom.gua_pref}d2:be24:11ff:feee:9c55/128";
            "ipv4 prefix" = "95.216.180.210/32";
          }
          {
            # Idacloud
            "ipv6 prefix" = "${config.custom.gua_pref}d3:be24:11ff:fece:7d63/128";
            "ipv4 prefix" = "95.217.26.243/32";
          }
        ];
      };
    };
  };
}
