{ config, lib, ... }:
{
  services.clatd = {
    enable = true;
    settings.clat-v6-addr = "${config.custom.gua_pref}11::c1";
  };

  imports = [
    ../../shared/base.nix
    ../../shared/hardware/nvidia.nix
    ../../shared/hardware/vm.nix

    ../../personal/desktop.nix
    ../../personal/programs/i3.nix

    ../../servers/gaming-server.nix
  ];

  users.users.vili.hashedPasswordFile = lib.mkForce null;
}
