{ pkgs, ... }:
{
  environment.systemPackages = with pkgs; [
    parsec-bin
  ];

  programs.steam = {
    enable = true;
    extraCompatPackages = with pkgs; [ proton-ge-bin ];
  };

  services.sunshine = {
    enable = true;
    autoStart = true;
    openFirewall = true;
  };

}
